=== debian/changelog ===
awlsim (0.74.1) UNRELEASED; urgency=low

  * Version 0.74.1

 -- Michael Buesch <m@bues.ch>  Mon, 01 Feb 2016 00:00:00 +0100
