=== pilc/deb/pilc-system/debian/changelog ===
pilc-system (1.0) testing; urgency=medium

  * Initial release

 -- Michael Buesch <m@bues.ch>  Sat, 29 Jun 2019 16:46:44 +0200
