=== submodules/pyprofibus/debian/changelog ===
pyprofibus (1.9) UNRELEASED; urgency=low

  * Version 1.9

 -- Michael Buesch <m@bues.ch>  Mon, 01 Feb 2016 00:00:00 +0100
