=== pilc/deb/pilc-system/debian/control ===
Source: pilc-system
Section: misc
Priority: optional
Maintainer: Michael Buesch <m@bues.ch>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://bues.ch/a/pilc

Package: pilc-system
Architecture: all
Depends: ${misc:Depends}, raspberrypi-sys-mods, raspberrypi-net-mods, openssh-server
Description: PiLC system files
 System files for the PiLC.
