=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
#export DH_VERBOSE=1

export PYBUILD_NAME=awlsim
export PYBUILD_SYSTEM=distutils
#export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
#export PYBUILD_VERSIONS=
#export PYBUILD_DEBUG=1

export PYBUILD_DESTDIR_python3=debian/destdir-py3-awlsim/
export PYBUILD_DESTDIR_python3-dbg=debian/destdir-py3-awlsim-dbg/

export PYTHONDONTWRITEBYTECODE=1
export PYTHONPATH=
export PYTHONSTARTUP=
export PYTHONINSPECT=

export AWLSIM_CYTHON_BUILD=1
export AWLSIM_CYTHON_PARALLEL=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true
