=== pilc/deb/pilc-system/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --name=pilc_regenerate_ssh_host_keys --no-restart-on-upgrade --no-start
	dh_installinit --name=pilc_resize_rootfs

override_dh_systemd_enable:
	dh_systemd_enable --name=pilc_regenerate_ssh_host_keys --no-enable
	dh_systemd_enable --name=pilc_resize_rootfs

override_dh_systemd_start:
	dh_systemd_start --name=pilc_regenerate_ssh_host_keys --no-start
	dh_systemd_start --name=pilc_resize_rootfs
